#
#-----------------------------------------------------------------------------
## Header: General Commands ##

# delete all objects and reset pymol
reinitialize
# set the background color to white
bg_color white
# make the background transparent for ray trace 
set ray_opaque_background, 0
# set the ray trace mode
# normal color
set ray_trace_mode, 0
# normal color + black outline
#set ray_trace_mode,  1
# black outline only
#set ray_trace_mode,  2
# turn off shadows during ray trace
set ray_shadows, 0
# set the mouse mode for laptop.
config_mouse one_button
# run the python program for hydrogen bonding interactions.
# get ride of double bonds and skinny bonds to H
set stick_h_scale, 1
set valence, 0
#
# 	Loren Williams, Georgia Tech
# 	pymol script for OB Fold 

#----------------------------------------
#
load files/2oqk.pdb, ob_fold
remove resn hoh
h_add ob_fold and name N
remove resi 1-31
remove resi 96-115
remove resi 63-74
set cartoon_gap_cutoff, 100
set cartoon_sampling, 100


create RIBBON, ob_fold
hide everything, RIBBON
show cartoon, RIBBON
set cartoon_fancy_helices, 0, RIBBON
color blue, RIBBON
unset ribbon_color, (*)
set ribbon_color, default
for name in cmd.get_object_list(): \
  cmd.spectrum(selection=name + " and polymer")


create BACKTRACE, ob_fold and (name CA or name N or name C or name O or name CB or name H*) 
hide everything, BACKTRACE
show stick, BACKTRACE
# color atoms by type
color wheat, name C* and (BACKTRACE)
color red, name O* and (BACKTRACE)
color blue, name N* and (BACKTRACE)
color yellow, name S* and (BACKTRACE)
color white, name H* and (BACKTRACE)

dist hbond_NH_O, (name H* and BACKTRACE), (name O and BACKTRACE), 2.2 


create SIDECHAINS, ob_fold
hide everything, SIDECHAINS
show stick, SIDECHAINS
remove SIDECHAINES and (name H01,H03,H04,H05,H06,H07,H08,H09,H10,H11,H12,H13)
color wheat, name C* and (SIDECHAINS)
color red, name O* and (SIDECHAINS)
color blue, name N* and (SIDECHAINS)
color yellow, name S* and (SIDECHAINS)
color white, name H* and (SIDECHAINS)

dist G_hbond_NH_O, (name O and Helix_G_sidechains), (name H02 and Helix_G_sidechains), 2.4 

color black, G_hbond_NH_O
set label_size, -0.30, G_hbond_NH_O
set dash_width, 3.0, G_hbond_NH_O
set dash_gap, 0.3, G_hbond_NH_O
set label_position, (1.2,0,0), G_hbond_NH_O

------------------------------phi/psi------torsion angles

dihedral phi_8,  resi 109 and name C and Helix_G_sidechains, resi 110 and name N and Helix_G_sidechains, resi 110 and name CA and Helix_G_sidechains, resi 110 and name C and Helix_G_sidechains

create phi_8_atoms,  ( ( (resi 109 and name C) or (resi 110 and name N) or (resi 110 and name CA) or (resi 110 and name C) ) and Helix_G_sidechains)

dihedral psi_8, resi 110 and name N and Helix_G_sidechains, resi 110 and name CA and Helix_G_sidechains, resi 110 and name C and Helix_G_sidechains, resi 111 and name N and Helix_G_sidechains

create psi_8_atoms,  ( ((resi 110 and name N) or (resi 110 and name CA) or (resi 110 and name C) or (resi 111 and name N) ) and Helix_G_sidechains)

show stick, phi_8_atoms
set stick_radius, 0.10, phi_8_atoms
label phi_8_atoms, name
show spheres, phi_8_atoms
alter phi_8_atoms, vdw=0.25
alter phi_8_atoms and name N, vdw=0.35
rebuild

show stick, psi_8_atoms
set stick_radius, 0.10, psi_8_atoms
label psi_8_atoms, name
show spheres, psi_8_atoms
alter psi_8_atoms, vdw=0.25
alter psi_8_atoms and name ca, vdw=0.35
rebuild

set label_color, red, phi_8
set label_color, red, phi_8_atoms
color red, phi_8

set label_color, blue, psi_8
set label_color, blue, psi_8_atoms
color blue, psi_8

set dihedral_size, 1.9, phi_8
set dihedral_size, 1.9, psi_8
set line_width, 6, phi_8
set line_width, 6, psi_8


disable all
enable RIBBON

set_view (\
    -0.604356766,    0.077388979,    0.792940021,\
     0.395507663,   -0.834822357,    0.382924885,\
     0.691604793,    0.545043051,    0.473920941,\
     0.000000000,    0.000000000, -115.284866333,\
    11.246829987,   12.896068573,   11.878162384,\
    90.891464233,  139.678268433,  -20.000000000 )
### cut above here and paste into script ###
